{
    "$graph": [
        {
            "label": "cache_kmer",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.kmer_cache_path)",
                            "writable": true
                        },
                        {
                            "entryname": "kmer_file_list.mft",
                            "entry": "${\n  var blob = '# kmer_file_list.mft created for cache_kmer from input kmer_file_list Array of Files\\n';\n  for (var i = 0; i < inputs.kmer_file_list.length; i++) {\n      blob += inputs.kmer_file_list[i].path + '\\n';\n  }\n  return blob;\n}\n"
                        }
                    ]
                }
            ],
            "baseCommand": "cache_kmer",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-gc-id-list"
                    },
                    "id": "#cache_kmer.cwl/gc_id_list"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-cache-path"
                    },
                    "id": "#cache_kmer.cwl/kmer_cache_path"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#cache_kmer.cwl/kmer_file_list"
                },
                {
                    "type": "string",
                    "default": "kmer_file_list.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#cache_kmer.cwl/kmer_file_list_mft"
                },
                {
                    "type": "string",
                    "default": "full.list",
                    "inputBinding": {
                        "prefix": "-ofull"
                    },
                    "id": "#cache_kmer.cwl/ofull"
                },
                {
                    "type": "string",
                    "default": "new.list",
                    "inputBinding": {
                        "prefix": "-onew"
                    },
                    "id": "#cache_kmer.cwl/onew"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-retrieve"
                    },
                    "id": "#cache_kmer.cwl/retrieve"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-store"
                    },
                    "id": "#cache_kmer.cwl/store"
                }
            ],
            "id": "#cache_kmer.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.onew)"
                    },
                    "id": "#cache_kmer.cwl/new_gc_id_list"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.ofull)"
                    },
                    "id": "#cache_kmer.cwl/ofull_file"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.kmer_cache_path.basename)"
                    },
                    "id": "#cache_kmer.cwl/out_kmer_cache_path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "outputEval": "${\n    var fileList = [];\n    var lines = outputs.ofull_file.contents.split('\\\\n');\n    var nblines = lines.length;\n    for(var i=0; i < nblines; i++) {\n        fileList.push(new File(lines[i]));\n    }\n    return fileList;\n}\n"
                    },
                    "id": "#cache_kmer.cwl/out_kmer_file_list"
                }
            ]
        },
        {
            "label": "kmer_cache_retrieve",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/gc_id_list"
                },
                {
                    "type": "Directory",
                    "id": "#main/kmer_cache_path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/cache_kmer/new_gc_id_list",
                    "id": "#main/new_gc_id_list"
                },
                {
                    "type": "Directory",
                    "outputSource": "#main/cache_kmer/out_kmer_cache_path",
                    "id": "#main/out_kmer_cache_path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/cache_kmer/out_kmer_file_list",
                    "id": "#main/out_kmer_file_list"
                }
            ],
            "steps": [
                {
                    "run": "#cache_kmer.cwl",
                    "in": [
                        {
                            "source": "#main/gc_id_list",
                            "id": "#main/cache_kmer/gc_id_list"
                        },
                        {
                            "source": "#main/kmer_cache_path",
                            "id": "#main/cache_kmer/kmer_cache_path"
                        },
                        {
                            "default": "onew.list",
                            "id": "#main/cache_kmer/onew"
                        },
                        {
                            "default": true,
                            "id": "#main/cache_kmer/retrieve"
                        }
                    ],
                    "out": [
                        "#main/cache_kmer/new_gc_id_list",
                        "#main/cache_kmer/out_kmer_file_list",
                        "#main/cache_kmer/out_kmer_cache_path"
                    ],
                    "id": "#main/cache_kmer"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
